package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * Telephony settings.
 */
@ApiModel(description = "Telephony settings.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VoipDeviceApConfigurationOpenApiVo   {
  @JsonProperty("numberIdForOutgoingCalls")
  private String numberIdForOutgoingCalls;

  @JsonProperty("numberIdListForIncomingCalls")
  @Valid
  private List<String> numberIdListForIncomingCalls = null;

  @JsonProperty("vadSupportEnable")
  private Boolean vadSupportEnable;

  @JsonProperty("speakerGain")
  private Integer speakerGain;

  @JsonProperty("micGain")
  private Integer micGain;

  @JsonProperty("callBlockingEnable")
  private Boolean callBlockingEnable;

  @JsonProperty("callBlockingProfileId")
  private String callBlockingProfileId;

  @JsonProperty("callBlockingProfileName")
  private String callBlockingProfileName;

  @JsonProperty("digitMapProfileId")
  private String digitMapProfileId;

  @JsonProperty("digitMapProfileName")
  private String digitMapProfileName;

  public VoipDeviceApConfigurationOpenApiVo numberIdForOutgoingCalls(String numberIdForOutgoingCalls) {
    this.numberIdForOutgoingCalls = numberIdForOutgoingCalls;
    return this;
  }

  /**
   * The outgoing calls number ID of voip device.
   * @return numberIdForOutgoingCalls
  */
  @ApiModelProperty(value = "The outgoing calls number ID of voip device.")


  public String getNumberIdForOutgoingCalls() {
    return numberIdForOutgoingCalls;
  }

  public void setNumberIdForOutgoingCalls(String numberIdForOutgoingCalls) {
    this.numberIdForOutgoingCalls = numberIdForOutgoingCalls;
  }

  public VoipDeviceApConfigurationOpenApiVo numberIdListForIncomingCalls(List<String> numberIdListForIncomingCalls) {
    this.numberIdListForIncomingCalls = numberIdListForIncomingCalls;
    return this;
  }

  public VoipDeviceApConfigurationOpenApiVo addNumberIdListForIncomingCallsItem(String numberIdListForIncomingCallsItem) {
    if (this.numberIdListForIncomingCalls == null) {
      this.numberIdListForIncomingCalls = new ArrayList<>();
    }
    this.numberIdListForIncomingCalls.add(numberIdListForIncomingCallsItem);
    return this;
  }

  /**
   * The list of incoming calls number ID.
   * @return numberIdListForIncomingCalls
  */
  @ApiModelProperty(value = "The list of incoming calls number ID.")


  public List<String> getNumberIdListForIncomingCalls() {
    return numberIdListForIncomingCalls;
  }

  public void setNumberIdListForIncomingCalls(List<String> numberIdListForIncomingCalls) {
    this.numberIdListForIncomingCalls = numberIdListForIncomingCalls;
  }

  public VoipDeviceApConfigurationOpenApiVo vadSupportEnable(Boolean vadSupportEnable) {
    this.vadSupportEnable = vadSupportEnable;
    return this;
  }

  /**
   * Whether to enable vad support.
   * @return vadSupportEnable
  */
  @ApiModelProperty(value = "Whether to enable vad support.")


  public Boolean getVadSupportEnable() {
    return vadSupportEnable;
  }

  public void setVadSupportEnable(Boolean vadSupportEnable) {
    this.vadSupportEnable = vadSupportEnable;
  }

  public VoipDeviceApConfigurationOpenApiVo speakerGain(Integer speakerGain) {
    this.speakerGain = speakerGain;
    return this;
  }

  /**
   * The speaker gain of voip device.
   * @return speakerGain
  */
  @ApiModelProperty(value = "The speaker gain of voip device.")


  public Integer getSpeakerGain() {
    return speakerGain;
  }

  public void setSpeakerGain(Integer speakerGain) {
    this.speakerGain = speakerGain;
  }

  public VoipDeviceApConfigurationOpenApiVo micGain(Integer micGain) {
    this.micGain = micGain;
    return this;
  }

  /**
   * The mic gain of voip device.
   * @return micGain
  */
  @ApiModelProperty(value = "The mic gain of voip device.")


  public Integer getMicGain() {
    return micGain;
  }

  public void setMicGain(Integer micGain) {
    this.micGain = micGain;
  }

  public VoipDeviceApConfigurationOpenApiVo callBlockingEnable(Boolean callBlockingEnable) {
    this.callBlockingEnable = callBlockingEnable;
    return this;
  }

  /**
   * Whether to enable callBlocking.
   * @return callBlockingEnable
  */
  @ApiModelProperty(value = "Whether to enable callBlocking.")


  public Boolean getCallBlockingEnable() {
    return callBlockingEnable;
  }

  public void setCallBlockingEnable(Boolean callBlockingEnable) {
    this.callBlockingEnable = callBlockingEnable;
  }

  public VoipDeviceApConfigurationOpenApiVo callBlockingProfileId(String callBlockingProfileId) {
    this.callBlockingProfileId = callBlockingProfileId;
    return this;
  }

  /**
   * The call blocking profile ID of voip device.When callBlockingEnable is true, it can not be null.
   * @return callBlockingProfileId
  */
  @ApiModelProperty(value = "The call blocking profile ID of voip device.When callBlockingEnable is true, it can not be null.")


  public String getCallBlockingProfileId() {
    return callBlockingProfileId;
  }

  public void setCallBlockingProfileId(String callBlockingProfileId) {
    this.callBlockingProfileId = callBlockingProfileId;
  }

  public VoipDeviceApConfigurationOpenApiVo callBlockingProfileName(String callBlockingProfileName) {
    this.callBlockingProfileName = callBlockingProfileName;
    return this;
  }

  /**
   * The call blocking profile name of voip device.
   * @return callBlockingProfileName
  */
  @ApiModelProperty(value = "The call blocking profile name of voip device.")


  public String getCallBlockingProfileName() {
    return callBlockingProfileName;
  }

  public void setCallBlockingProfileName(String callBlockingProfileName) {
    this.callBlockingProfileName = callBlockingProfileName;
  }

  public VoipDeviceApConfigurationOpenApiVo digitMapProfileId(String digitMapProfileId) {
    this.digitMapProfileId = digitMapProfileId;
    return this;
  }

  /**
   * The digit map profile ID of voip device.
   * @return digitMapProfileId
  */
  @ApiModelProperty(value = "The digit map profile ID of voip device.")


  public String getDigitMapProfileId() {
    return digitMapProfileId;
  }

  public void setDigitMapProfileId(String digitMapProfileId) {
    this.digitMapProfileId = digitMapProfileId;
  }

  public VoipDeviceApConfigurationOpenApiVo digitMapProfileName(String digitMapProfileName) {
    this.digitMapProfileName = digitMapProfileName;
    return this;
  }

  /**
   * The digit map profile name of voip device.
   * @return digitMapProfileName
  */
  @ApiModelProperty(value = "The digit map profile name of voip device.")


  public String getDigitMapProfileName() {
    return digitMapProfileName;
  }

  public void setDigitMapProfileName(String digitMapProfileName) {
    this.digitMapProfileName = digitMapProfileName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoipDeviceApConfigurationOpenApiVo voipDeviceApConfigurationOpenApiVo = (VoipDeviceApConfigurationOpenApiVo) o;
    return Objects.equals(this.numberIdForOutgoingCalls, voipDeviceApConfigurationOpenApiVo.numberIdForOutgoingCalls) &&
        Objects.equals(this.numberIdListForIncomingCalls, voipDeviceApConfigurationOpenApiVo.numberIdListForIncomingCalls) &&
        Objects.equals(this.vadSupportEnable, voipDeviceApConfigurationOpenApiVo.vadSupportEnable) &&
        Objects.equals(this.speakerGain, voipDeviceApConfigurationOpenApiVo.speakerGain) &&
        Objects.equals(this.micGain, voipDeviceApConfigurationOpenApiVo.micGain) &&
        Objects.equals(this.callBlockingEnable, voipDeviceApConfigurationOpenApiVo.callBlockingEnable) &&
        Objects.equals(this.callBlockingProfileId, voipDeviceApConfigurationOpenApiVo.callBlockingProfileId) &&
        Objects.equals(this.callBlockingProfileName, voipDeviceApConfigurationOpenApiVo.callBlockingProfileName) &&
        Objects.equals(this.digitMapProfileId, voipDeviceApConfigurationOpenApiVo.digitMapProfileId) &&
        Objects.equals(this.digitMapProfileName, voipDeviceApConfigurationOpenApiVo.digitMapProfileName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(numberIdForOutgoingCalls, numberIdListForIncomingCalls, vadSupportEnable, speakerGain, micGain, callBlockingEnable, callBlockingProfileId, callBlockingProfileName, digitMapProfileId, digitMapProfileName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoipDeviceApConfigurationOpenApiVo {\n");
    
    sb.append("    numberIdForOutgoingCalls: ").append(toIndentedString(numberIdForOutgoingCalls)).append("\n");
    sb.append("    numberIdListForIncomingCalls: ").append(toIndentedString(numberIdListForIncomingCalls)).append("\n");
    sb.append("    vadSupportEnable: ").append(toIndentedString(vadSupportEnable)).append("\n");
    sb.append("    speakerGain: ").append(toIndentedString(speakerGain)).append("\n");
    sb.append("    micGain: ").append(toIndentedString(micGain)).append("\n");
    sb.append("    callBlockingEnable: ").append(toIndentedString(callBlockingEnable)).append("\n");
    sb.append("    callBlockingProfileId: ").append(toIndentedString(callBlockingProfileId)).append("\n");
    sb.append("    callBlockingProfileName: ").append(toIndentedString(callBlockingProfileName)).append("\n");
    sb.append("    digitMapProfileId: ").append(toIndentedString(digitMapProfileId)).append("\n");
    sb.append("    digitMapProfileName: ").append(toIndentedString(digitMapProfileName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

